<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['/view-staff']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>Add Contract</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content >
    <ion-item>
      <ion-label>
        {{ staff.name }}
      </ion-label>
    </ion-item>
    <form #form="ngForm" (ngSubmit)="submit(form)" method="post">
    <ion-list lines="inset" class="ion-no-margin ion-no-padding">
      <ion-list-header>
        Add New Contract
      </ion-list-header>

      <ion-item>
        <ion-label position="floating">Date Start</ion-label>
        <ion-datetime ngModel name="date_start" displayFormat="DD-MM-YYYY" [max]="maxDate"></ion-datetime>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Date End</ion-label>
        <ion-datetime ngModel name="date_end" displayFormat="DD-MM-YYYY" [max]="maxDate"></ion-datetime>
      </ion-item>

      <ion-item>
        <ion-label>Status</ion-label>
        <ion-select  ngModel name="status" okText="Okay" cancelText="Dismiss">
          <ion-select-option [value]="1">
            Active
          </ion-select-option>
          <ion-select-option [value]="0">
            Not active
          </ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label position="stacked" color="danger">Salary</ion-label>
        <ion-input ngModel name="salary"  placeholder="Enter salary" required type="number">
        </ion-input>
      </ion-item>

    </ion-list>
    <ion-button expand="block" type="submit" color="danger" class="ion-padding ion-margin">Confirm</ion-button>
    </form>
 </ion-content>
